var site_id_map = new Map();
//put the site and the popup window id here
// for class properties, start with .
// for id properties, if failed, try to start with #, but in most case, don't need.
site_id_map.set("www.cbsnews.com",["#smart-banner-download"]);
site_id_map.set("www.nbcnews.com", ["#branch-amp-journey"]);
site_id_map.set("rollingout.com", ["#amp-user-notification1", "button.close-btn"]);
site_id_map.set("www.sportbible.com", [".i-amphtml-element, .i-amphtml-layout-nodisplay, .i-amphtml-sticky-ad-layout", "button.amp-sticky-ad-close-button"]);
site_id_map.set("power1029noco.com", [".carbon-overlay, .newsletter-overlay, .brandedapp-overlay"]);
site_id_map.set("larrybrownsports.com",["button.lightbox__close", "#unic-b button:nth-child(2)"]);
site_id_map.set("amp.tmz.com", [".consent-button, .constent-accept"]);
site_id_map.set("www.thedailybeast.com", ["#onetrust-accept-btn-handler"]);
site_id_map.set("www.dailyuw.com", [".sticky-anchor-close"]);
site_id_map.set("citywatchla.com", [".mc-banner"]);
site_id_map.set("www.blackenterprise.com", [".amp-sticky-ad-close-button"]);
site_id_map.set("www.ohmymag.co.uk", [".message-container, .messagewindow"]);
site_id_map.set("bet.com", [".e1hh5mm00, .css-1nnwqq6-Box-Flex-StyledModal-StyledModal .ebzllof0" ]);
site_id_map.set("www.iflscience.com", ["button.onetrust-close-btn-handler", "#onetrust-accept-btn-handler"]);
site_id_map.set("nj1015.com", ["div.icon-close","#bx-close-inside-1769051"]);
site_id_map.set("catcountry1073.com", ["div.icon-close"]);
site_id_map.set("1440work.com", ["div.icon-close"]);
site_id_map.set("q1057.com", ["div.icon-close"]);
site_id_map.set("1390granitecitysports.com", ["div.icon-close"]);
site_id_map.set("kickam1530.com", ["div.icon-close"]);
site_id_map.set("103gbfrocks.com", ["div.icon-close"]);




function init() {
    detect_popups()
}

var detectCount = 30;
var found = false;
var findCount = 0;

function detect_popups(){
        //if failed find popup dialog, try another round.
    detectCount --;
    find_cookie_dialog()

    if(detectCount > 0 && !found){
      console.error("detected :"+detectCount);
      setTimeout(detect_popups, 600);
    }
}


function find_cookie_dialog() {
    var site = window.location.host;

    if(site_id_map.has(site)){
       // console.error("site:"+site+ " ids:"+site_id_map.get(site));

        var ids = site_id_map.get(site);
        for (var i=0; i<ids.length; i++){
            console.error("going ot find element:"+ids[i]);
            var doc = document.querySelector(ids[i])
            if (doc !== null){
                console.error("find element:"+doc);
                //some close button
                doc.click()

                doc.style.setProperty('display', 'none', 'important');
                findCount ++;
                if (findCount == ids.length){
                   found = true;
                }

                return
            }
        }
    }

    return
}

init()